@import "_variables";

@mixin center{
  display: flex;
  justify-content: center;
  align-items: center;
}

@mixin font-menu{
  font-weight: 400;
  font-size: 0.68em;
  color: $color-title;
  line-height: 1.37em;
  text-transform: uppercase;
}

@mixin font-title{
  font-weight: 700;
  font-size: 0.87em;
  color: $color-title;
  line-height: 1.37em;
}

@mixin body-burger{
  position: absolute;
  right: $margin-side;
  top: 23px;
  @include center;
  appearance: none;
  background-color: #000;
  border: none;
  width: 44px;
  height: 37px;
  cursor: pointer;
}

@mixin burger-b-a{
  content: '';
  position: absolute;
  right: 0;
  left: 0;
  border-top: 2px solid #fff;
}

@mixin img-size{
  max-width: 100%;
  height: auto;
  object-fit: cover;
}

@mixin child-display-none($nEl){
  & li:nth-child(n + #{$nEl}) {
    display: none;
  }
}
